Bug 211703 - Review Request: nyquist - Sound synthesis and composition language with a Lisp syntax
Review Request: nyquist - Sound synthesis and composition language with a Lis...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-20 17:55 EDT by Gérard Milmeister
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-04 07:06:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2006-10-20 17:55:38 EDT
Spec URL: http://math.ifi.unizh.ch/fedora/spec/nyquist.spec
SRPM URL: http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/nyquist-2.31-2.src.rpm
Description:
Nyquist is a language for sound synthesis and music
composition. Unlike score languages that tend to deal only with
events, or signal processing languages that tend to deal only with
signals and synthesis, Nyquist handles both in a single integrated
system. Nyquist is also flexible and easy to use because it is based
on an interactive Lisp interpreter.
Comment 1 Mamoru TASAKA 2006-10-21 07:27:50 EDT
I will review this later.
Comment 2 Mamoru TASAKA 2006-10-21 10:26:22 EDT
Well, I quite don't know how to use this,
however there seems nothing to be fixed (I will recheck).

-------------------------------------------------------------------------
Just a interest.
In the build log, I see:

portaudio/pa_linux_alsa/pa_linux_alsa.c: In function 'Wait':
portaudio/pa_linux_alsa/pa_linux_alsa.c:2251: warning: comparisons like X<=Y<=Z
do not have their mathematical meaning

And portaudio/pa_linux_alsa/pa_linux_alsa.c says:

  2249      }
  2250      
  2251      assert( !(captureAvail == playbackAvail == INT_MAX) );
  2252  
  2253      commonAvail = MIN( captureAvail, playbackAvail );
  2254      commonAvail -= commonAvail % stream->frames_per_period;

Perhaps the line 2251 is a bug.
Comment 3 Mamoru TASAKA 2006-10-25 04:11:21 EDT
ping?
Comment 4 Gérard Milmeister 2006-10-25 15:43:27 EDT
Hmm, this is strange. It does not make much sense. Probably it should be
!(captureAvail == INT_MAX && playbackAvail == INT_MAX)
Comment 5 Mamoru TASAKA 2006-10-31 09:43:06 EST
Ping?

(In reply to comment #4)
> Hmm, this is strange. It does not make much sense. Probably it should be
> !(captureAvail == INT_MAX && playbackAvail == INT_MAX)

I have not yet looked into this package, however would you upload
new srpm and spec with this source fixed?
Comment 6 Gérard Milmeister 2006-11-02 16:32:32 EST
Here is the package which includes the fix (spec at the same place):
http://math.ifi.unizh.ch/fedora/6/i386/SRPMS.gemi/nyquist-2.31-3.src.rpm
Comment 7 Gérard Milmeister 2006-11-02 17:52:55 EST
Oops, it should be:
http://math.ifi.unizh.ch/fedora/6/i386/SRPMS.gemi/nyquist-2.31-3.fc6.src.rpm
Comment 8 Mamoru TASAKA 2006-11-03 02:50:49 EST
Okay, this package meets the demand by
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

-------------------------------------------------------------------------------
This package (nyquist) is APPROVED by me.
Comment 9 Gérard Milmeister 2006-11-04 07:06:10 EST
Built on FC5, FC6 and FC7.
Added entries to owners and comps files.
Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.